Returns the maximum number of characters into a document to look for suitable snippets

- « SolrQuery::getHighlightMaxAlternateFieldLength

- SolrQuery::getHighlightMergeContiguous »

- PHP Manual
- SolrQuery
- Returns the maximum number of characters into a document to look for suitable snippets

# SolrQuery::getHighlightMaxAnalyzedChars

(PECL solr >= 0.9.2)

SolrQuery::getHighlightMaxAnalyzedChars — Returns the maximum number of characters into a document to look for suitable snippets

### Description

public SolrQuery::getHighlightMaxAnalyzedChars(): int

Returns the maximum number of characters into a document to look for suitable snippets

### Parameters

This function has no parameters.

### Return Values

Returns an integer on success and `null` if not set.